<include file="public@header" />
</head>
<body>
	<div class="wrap">
		<ul class="nav nav-tabs">
			<li class="active"><a >{$configpub['name_coin']} {:lang('RECHARGE_RECORD_LIST')}</a></li>
		</ul>
		<form class="well form-inline margin-top-20" name="form1" method="post" action="">
            {:lang('ORDER_STATUS')}: 
            <select class="form-control" name="status">
				<option value="">{:lang('ALL')}</option>
                <volist name="status" id="v">
                    <option value="{$key}" <if condition="input('request.status') neq '' && input('request.status') eq $key">selected</if>>{$v}</option>
                </volist>
			</select>

			{:lang('SUBMISSION_TIME')}: 
			<input class="form-control js-bootstrap-date" name="start_time" id="start_time" autocomplete="off" value="{:input('request.start_time')}" aria-invalid="false" style="width: 110px;"> - 
            <input class="form-control js-bootstrap-date" name="end_time" id="end_time" autocomplete="off" value="{:input('request.end_time')}" aria-invalid="false" style="width: 110px;">
			{:lang('USER_ID')}: 
            <input class="form-control" type="text" name="uid" style="width: 200px;" value="{:input('request.uid')}"
                   placeholder="{:lang('PLEASE_ENTER_USER_ID_NICKNAME')}">
			{:lang('KEYWORD')}:  
            <input class="form-control" type="text" name="keyword" style="width: 200px;" value="{:input('request.keyword')}"
                   placeholder="{:lang('PLEASE_ENTER_ORDER_NUMBER')}">
            <input type="button" class="btn btn-primary" value="{:lang('SEARCH')}" onclick="form1.action='{:url('Charge/index')}';form1.submit();"/>
			<input type="button" class="btn btn-success" value="{:lang('EXPORT')}" onclick="form1.action='{:url('Charge/export')}';form1.submit();"/>	
            
			<div style="margin-top:10px">
				{:lang('CNY_AMOUNT_STATISTICS')}: {$moneysum|default=0} $ ({:lang('STATISTICS_BASED_ON_FILTER_CONDITIONS')})
			</div>		
		</form>	
    	
		<form method="post" class="js-ajax-form" >
			<table class="table table-hover table-bordered">
				<thead>
					<tr>
						<th>ID</th>
						<th>{:lang('MEMBER')}</th>
						<th>{:lang('CNY_AMOUNT')}</th>
						<th>{:lang('EXCHANGE_FOR_NAME_COIN', ['name_coin' => $configpub['name_coin']])}</th>
						<th>{:lang('GIVEAWAY')} {$configpub['name_coin']}</th>
						<th>{:lang('MERCHANT_ORDER_NUMBER')}</th>
						<th>{:lang('PAYMENT_TYPE')}</th>
						<th>{:lang('PAYMENT_ENVIRONMENT')}</th>
						<th>{:lang('THIRD_PARTY_PAYMENT_ORDER_NUMBER')}</th>
						<th>{:lang('AWARD_POINTS')}</th>
						<th>{:lang('GIFT_VIP_DURATION')}({:lang('DAYS')})</th>
						<th>{:lang('SEND_POPULAR_GIFTS')}</th>
						<th>{:lang('ORDER_STATUS')}</th>
						<th>{:lang('SUBMISSION_TIME')}</th>
						<th>{:lang('ACTIONS')}</th>
					</tr>
				</thead>
				<tbody>
					<foreach name="lists" item="vo">
					<tr>
						<td>{$vo.id}</td>
						<td>{$vo['userinfo']['user_nickname']} ({$vo['uid']})</td>
						<td>{$vo['money']}</td>
						<td>{$vo['coin']}</td>
						<td>{$vo['coin_give']}</td>
						<td>{$vo['orderno']}</td>
						<td>{$type[$vo['type']]}</td>
						<td>{$ambient[$vo['type']][$vo['ambient']]}</td>
						<td>{$vo['trade_no']}</td>
						<td>{$vo['score']}</td>
						<td>{$vo['vip_length']}</td>
						<td>{$vo['gift_info']['giftname']}<if condition="$vo['gift_num'] gt '0'">(x{$vo['gift_num']})</if></td>
						<td>{$status[$vo['status']]}</td>
						<td>{:date('Y-m-d H:i:s',$vo['addtime'])}</td>
						<td>	
                            <if condition="$vo['status'] eq 0 ">
                            <a class="btn btn-xs btn-danger js-ajax-dialog-btn" href="{:url('Charge/setPay',array('id'=>$vo['id']))}" >{:lang('EXCHANGE_DIAMONDS')}</a>
                            </if>
						</td>
					</tr>
					</foreach>
				</tbody>
			</table>
			<div class="pagination">{$page}</div>
		</form>
	</div>
	<script src="__STATIC__/js/admin.js"></script>
</body>
</html>